### Hierarchy

- EventTarget
  - TextTrack

## Index

### Properties

- DISABLED
- ERROR
- EventTarget
- HIDDEN
- LOADED
- LOADING
- NONE
- SHOWING
- activeCues
- cues
- inBandMetadataTrackDispatchType
- kind
- label
- language
- mode
- oncuechange
- onerror
- onload
- readyState

### Methods

- addCue
- addEventListener
- dispatchEvent
- removeCue
- removeEventListener

## Properties

### DISABLED

DISABLED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14855

### ERROR

ERROR: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14856

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### HIDDEN

HIDDEN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14857

### LOADED

LOADED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14858

### LOADING

LOADING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14859

### NONE

NONE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14860

### SHOWING

SHOWING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14861

### activeCues

activeCues: TextTrackCueList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14842

### cues

cues: TextTrackCueList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14843

### inBandMetadataTrackDispatchType

inBandMetadataTrackDispatchType: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14844

### kind

kind: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14845

### label

label: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14846

### language

language: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14847

### mode

mode: TextTrackMode | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14848

### oncuechange

oncuechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14849

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14850

### onload

onload: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14851

### readyState

readyState: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14852

## Methods

### addCue

- addCue(cue: TextTrackCue): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14853

  #### Parameters

  - ##### cue: TextTrackCue

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14862

  #### Type parameters

  - #### K: keyof TextTrackEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrack, ev: TextTrackEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrack

        - ##### ev: TextTrackEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14863

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeCue

- removeCue(cue: TextTrackCue): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14854

  #### Parameters

  - ##### cue: TextTrackCue

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14864

  #### Type parameters

  - #### K: keyof TextTrackEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: TextTrack, ev: TextTrackEventMap[K]): any

      - #### Parameters

        - ##### this: TextTrack

        - ##### ev: TextTrackEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14865

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc